Subject: [PATCH] arm: dts: Add uart1 and uart2 to igep boards.

From: [email-masked] (Benoit Cousson)
Date: Wed, 13 Mar 2013 17:41:16 +0100

Hi Javier,

On 03/02/2013 02:52 AM, Javier Martinez Canillas wrote:
> On Fri, Feb 15, 2013 at 11:03 AM, Cousson, Benoit <[email-masked]> wrote:
>> Hi Matthias,
>>
>>
>> On 2/15/2013 10:35 AM, Matthias Brugger wrote:
>>>
>>> 2013/1/26 Javier Martinez Canillas <[email-masked]>:
>>>>
>>>> On Sat, Jan 26, 2013 at 4:16 PM, Matthias Brugger
>>>> <[email-masked]>
>>>> wrote:
>>>>>
>>>>> Hi Benoit,
>>>>>
>>>>> 2012/12/12 Benoit Cousson <[email-masked]>:
>>>>>>
>>>>>> Hi Matthias,
>>>>>>
>>>>>> On 12/12/2012 04:33 PM, Matthias Brugger wrote:
>>>>>>>
>>>>>>> This patch is a follow-up patch for Javier Martinez effort adding
>>>>>>> initial
>>>>>>> device tree support to IGEP technology devices. [1]
>>>>>>>
>>>>>>> It adds uart1 and uart2 bindings to the generic dtsi for the IGEP
>>>>>>> boards.
>>>>>>>
>>>>>>> [1] http://www.spinics.net/lists/linux-omap/msg83409.html
>>>>>>>
>>>>>>> Signed-off-by: Matthias Brugger <[email-masked]>
>>>>>>> ---
>>>>>>>   arch/arm/boot/dts/omap3-igep.dtsi |   24 ++++++++++++++++++++++++
>>>>>>>   1 file changed, 24 insertions(+)
>>>>>>>
>>>>>>> diff --git a/arch/arm/boot/dts/omap3-igep.dtsi
>>>>>>> b/arch/arm/boot/dts/omap3-igep.dtsi
>>>>>>> index 125fe00..c02e3c0 100644
>>>>>>> --- a/arch/arm/boot/dts/omap3-igep.dtsi
>>>>>>> +++ b/arch/arm/boot/dts/omap3-igep.dtsi
>>>>>>> @@ -27,6 +27,20 @@
>>>>>>>   };
>>>>>>>
>>>>>>>   &omap3_pmx_core {
>>>>>>> +     uart1_pins: pinmux_uart1_pins {
>>>>>>> +             pinctrl-single,pins = <
>>>>>>> +                     0x152 0x100     /* uart1_rx.uart1_rx INPUT |
>>>>>>> MODE0
>>>>>>> */
>>>>>>> +                     0x14c 0         /* uart1_tx.uart1_tx OUTPUT |
>>>>>>> MODE0 */
>>>>>>> +             >;
>>>>>>> +     };
>>>>>>> +
>>>>>>> +     uart2_pins: pinmux_uart2_pins {
>>>>>>> +             pinctrl-single,pins = <
>>>>>>> +                     0x14a 0x100     /* uart2_rx.uart2_rx INPUT |
>>>>>>> MODE0
>>>>>>> */
>>>>>>> +                     0x148 0         /* uart2_tx.uart2_tx OUTPUT |
>>>>>>> MODE0 */
>>>>>>> +             >;
>>>>>>> +     };
>>>>>>> +
>>>>>>>        uart3_pins: pinmux_uart3_pins {
>>>>>>>                pinctrl-single,pins = <
>>>>>>>                        0x16e 0x100     /* uart3_rx.uart3_rx INPUT |
>>>>>>> MODE0
>>>>>>> */
>>>>>>> @@ -77,6 +91,16 @@
>>>>>>>        status = "disabled";
>>>>>>>   };
>>>>>>>
>>>>>>> +&uart1 {
>>>>>>> +       pinctrl-names = "default";
>>>>>>> +       pinctrl-0 = <&uart1_pins>;
>>>>>>> +};
>>>>>>> +
>>>>>>> +&uart2 {
>>>>>>> +       pinctrl-names = "default";
>>>>>>> +       pinctrl-0 = <&uart2_pins>;
>>>>>>> +};
>>>>>>> +
>>>>>>>   &uart3 {
>>>>>>>          pinctrl-names = "default";
>>>>>>>          pinctrl-0 = <&uart3_pins>;
>>>>>>>
>>>>>>
>>>>>> That looks good to me. I'll apply it on top of javier's series for 3.9.
>>>>>
>>>>>
>>>>> Can you pin-point me to the repository where this patches are in right
>>>>> now? I tried to figure it out these days, but didn't found where to
>>>>> clone the repository from.
>>>>>
>>>>> Thanks,
>>>>> Matthias
>>>>>
>>>>
>>>> Hi Matthias,
>>>>
>>>> OMAP DT tree is:
>>>> git://git.kernel.org/pub/scm/linux/kernel/git/bcousson/linux-omap-dt.git
>>>
>>>
>>> Hi all,
>>>
>>> unfortunately I can't find the patch in this tree.
>>
>>
>> Sorry about that. I've never pushed the latest branch, and was busy the past
>> month. I'll refresh the branch with all the pending patches.
>>
>> Regards,
>> Benoit
>>
> 
> Hi Benoit,
> 
> I realized that your for_3.9/dts branch has not landed in mainline yet
> and we are near to the end of the merge window.
> 
> Are you still planing to include those changes for 3.9 or are you
> going to wait until the next release?

I'm really sorry about that. I was not available to push it at the proper time.

I've just rebased it on 3.9-rc2 and pushed it to a new branch.
git://git.kernel.org/pub/scm/linux/kernel/git/bcousson/linux-omap-dt.git for_3.10/dts

It includes the one from Matthias and yours as well. I'm still checking my inbox to catch up on the new ones I missed.

I'm planning to push this ASAP to avoid missing the deadline again.

Regards,
Benoit